Arch MergeWalls: Difference between revisions

From FreeCAD Documentation
No edit summary
No edit summary
(21 intermediate revisions by 5 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{Template:UnfinishedDocu}}
<translate>
<translate>
<!--T:5-->
{{Docnav
|[[Arch_CloseHoles|Close Holes]]
|[[Arch_Check|Check]]
|[[Arch_Module|Arch]]
|IconL=Arch_CloseHoles.svg
|IconR=Arch_Check.svg
|IconC=Workbench_Arch.svg
}}

<!--T:1-->
<!--T:1-->
{{GuiCommand
{{GuiCommand|Name=Arch MergeWalls|Workbenches=[[Arch Module|Arch]]|MenuLocation=Arch → Utilities → Merge Walls|Shortcut=|SeeAlso=}}
|Name=Arch MergeWalls
|MenuLocation=Arch → Utilities → Merge Walls
|Workbenches=[[Arch_Module|Arch]]
|SeeAlso=[[Arch_Wall|Arch Wall]]
}}


==Description== <!--T:2-->
==Description== <!--T:2-->


<!--T:6-->
The [[Arch_MergeWalls|MergeWalls]] tool fuses two or more selected {{Button|[[Image: Arch_Wall.svg|16px]] [[Arch_Wall|Arch Walls]]}}.


==Usage== <!--T:3-->


==How to use== <!--T:3-->
<!--T:7-->
# Select two or more walls.
# Press the {{KEY|[[Image:Arch MergeWalls.svg|16px]]}} button, or use the {{KEY|Arch}} → {{KEY|Utilities}} → {{KEY|[[Image:Arch MergeWalls.svg|16px]] [[Arch MergeWalls|Merge Walls]]}} from the top menu.


==Properties== <!--T:14-->


==Limitations== <!--T:15-->


== Scripting == <!--T:8-->
{{Emphasis|See also:}} [[Arch API]] and [[FreeCAD Scripting Basics]].


<!--T:9-->
This tool can be used in [[macros]] and from the [[Python]] console by using the following function:
</translate>
</translate>
{{Code|code=
{{clear}}
base = joinWalls(walls, delete=False)
}}
<translate>

<!--T:10-->
Example:
</translate>
{{Code|code=
import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Wall2 = Arch.makeWall(None, length=2000, width=200, height=1000)
FreeCAD.ActiveDocument.recompute()

base = Arch.joinWalls([Wall1, Wall2])
}}
<translate>

<!--T:11-->
{{Docnav
|[[Arch_CloseHoles|Close Holes]]
|[[Arch_Check|Check]]
|[[Arch_Module|Arch]]
|IconL=Arch_CloseHoles.svg
|IconR=Arch_Check.svg
|IconC=Workbench_Arch.svg
}}

</translate>
{{Arch Tools navi{{#translation:}}}}

{{Userdocnavi{{#translation:}}}}

Revision as of 14:57, 29 November 2020

Arch MergeWalls

Menu location
Arch → Utilities → Merge Walls
Workbenches
Arch
Default shortcut
None
Introduced in version
-
See also
Arch Wall

Description

The MergeWalls tool fuses two or more selected Arch Walls.

Usage

  1. Select two or more walls.
  2. Press the button, or use the ArchUtilities Merge Walls from the top menu.

Properties

Limitations

Scripting

See also: Arch API and FreeCAD Scripting Basics.

This tool can be used in macros and from the Python console by using the following function:

base = joinWalls(walls, delete=False)

Example:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Wall2 = Arch.makeWall(None, length=2000, width=200, height=1000)
FreeCAD.ActiveDocument.recompute() 

base = Arch.joinWalls([Wall1, Wall2])